FieldInterceptionHelper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.instrumentation.internal
Class FieldInterceptionHelper

    java.lang.Object
      org.hibernate.bytecode.instrumentation.internal.FieldInterceptionHelper

    public class FieldInterceptionHelper

extends Object

Helper class for dealing with enhanced entity classes. These operations are expensive. They are only meant to be used when code does not have access to a SessionFactory (namely from the instrumentation tasks). When code has access to a SessionFactory, `EntityInstrumentationMetadata` should be used instead to query the instrumentation state. EntityInstrumentationMetadata is accessed from the `EntityPersister` via the `EntityPersister.getInstrumentationMetadata()` method.

Method Summary
`static FieldInterceptor` | `extractFieldInterceptor(Object entity)`
`static FieldInterceptor` | `injectFieldInterceptor(Object entity, String entityName, Set uninitializedFieldNames, SessionImplementor session)`
`static boolean` | `isInstrumented(Class entityClass)`
`static boolean` | `isInstrumented(Object entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isInstrumented

    public static boolean isInstrumented(Class entityClass)

### isInstrumented

    public static boolean isInstrumented(Object entity)

### extractFieldInterceptor

    public static FieldInterceptor extractFieldInterceptor(Object entity)

### injectFieldInterceptor

    public static FieldInterceptor injectFieldInterceptor(Object entity,
                                                          String entityName,
                                                          Set uninitializedFieldNames,
                                                          SessionImplementor session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.